find_library(
  CMOR_LIBRARY
  NAMES cmor
  DOC "Climate Model Output Rewriter"
)
mark_as_advanced(CMOR_LIBRARY)


find_path(CMOR_INCLUDE_DIR
  NAMES cmor.h 
  DOC "CMOR3 include directory"
)
mark_as_advanced(CMOR_INCLUDE_DIR)

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(
  CMOR
  REQUIRED_VARS CMOR_LIBRARY CMOR_INCLUDE_DIR
)
if(NOT TARGET CMOR::CMOR)
  add_library(CMOR::CMOR UNKNOWN IMPORTED )

  target_link_libraries(CMOR::CMOR INTERFACE ${CMOR_LIBRARY} Uuid::uuid Udunits::udunits netCDF::netcdf)
  target_include_directories(CMOR::CMOR INTERFACE "${CMOR_INCLUDE_DIR};${CMOR_INCLUDE_DIR}/cdTime")

  set_target_properties(CMOR::CMOR PROPERTIES
    IMPORTED_LOCATION "${CMOR_LIBRARY}"
    INTERFACE_INCLUDE_DIRECTORIES "${CMOR_INCLUDE_DIR};${CMOR_INCLUDE_DIR}/cdTime")

endif()
