include(FindPackageHandleStandardArgs)

find_library(Udunits_LIBRARY NAMES udunits2)
find_path(Udunits_INCLUDE_DIR NAMES udunits2.h)
find_package_handle_standard_args(Udunits DEFAULT_MSG Udunits_LIBRARY Udunits_INCLUDE_DIR)

if(NOT TARGET Udunits::udunits)
  add_library(Udunits::udunits UNKNOWN IMPORTED)


  target_link_libraries(Udunits::udunits INTERFACE ${Udunits_LIBRARIES})
  target_include_directories(Udunits::udunits INTERFACE "${Udunits_INCLUDE_DIR}")

  set_target_properties(Udunits::udunits PROPERTIES
    IMPORTED_LOCATION "${Udunits_LIBRARY}"
    INTERFACE_INCLUDE_DIRECTORIES "${Udunits_INCLUDE_DIR}")

  mark_as_advanced(
    Udunits_LIBRARIES
    Udunits_INCLUDE_DIR
  )
  unset(UDUNITS2)
endif()


